Bug 557636 - segfault when hovering over the gnote icon
Summary: segfault when hovering over the gnote icon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnote
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-22 01:27 UTC by BugRocks
Modified: 2010-11-19 00:12 UTC (History)
4 users (show)

Fixed In Version: gnote-0.7.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 22:39:20 UTC
Type: ---


Attachments (Terms of Use)

Description BugRocks 2010-01-22 01:27:35 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Unknown

Steps to Reproduce:
1. Hover over the gnote icon.
2.
3.
  
Actual results:

It crashed once.
Expected results:
Expected to let me click on it to open gnotes.

Additional info:

The ABRT is not conecting to bugzilla it fails with the message.
XML-RPC Fault: libcurl failed to execute the HTTP POST transaction.

So I'm posting directly the results of the logs.

UUID: 8de1ca457030af0d8ef2ddd409938ade8694c450
architecture: i686
cmdline: /usr/bin/gnote --panel-applet --oaf-activate-iid=OAFIID:GnoteApplet_Factory --oaf-ior-fd=19
component: gnote
coredump: /var/cache/abrt/ccpp-1264033838-1930/coredump
executable: /usr/bin/gnote
kernel: 2.6.31.9-174.fc12.i686.PAE
package: gnote-0.6.3-1.fc12
rating: 0
reason: Process was terminated by signal 11
release: Fedora release 12 (Constantine)

backtrace
-----
Core was generated by `/usr/bin/gnote --panel-applet --oaf-activate-iid=OAFIID:GnoteApplet_Factory --o'.
Program terminated with signal 11, Segmentation fault.
#0  0x01007bd8 in ?? ()

Thread 1 (Thread 1930):
#0  0x01007bd8 in ?? ()
No symbol table info available.
#1  0xbf83a11c in ?? ()
No symbol table info available.
#2  0xbf83a16c in ?? ()
No symbol table info available.
#3  0xbf83a0f8 in ?? ()
No symbol table info available.
#4  0x086400c8 in ?? ()
No symbol table info available.
#5  0x01007bc9 in ?? ()
No symbol table info available.
#6  0x08673ac8 in ?? ()
No symbol table info available.
#7  0xbf83a138 in ?? ()
No symbol table info available.
#8  0x080c1af9 in gnote::NoteAddin::on_note_opened_event(gnote::Note&) ()
No symbol table info available.
Backtrace stopped: frame did not save the PC

Comment 1 Michael Schwendt 2010-05-09 08:49:41 UTC
Are you able to reproduce this with Gnote 0.6.4 from Updates and then refresh the backtrace in ABRT?

Comment 2 Bug Zapper 2010-11-04 00:16:47 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-11-06 00:12:51 UTC
gnote-0.7.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnote-0.7.3-2.fc14

Comment 4 Fedora Update System 2010-11-06 00:28:06 UTC
gnote-0.7.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gnote-0.7.3-2.fc13

Comment 5 Fedora Update System 2010-11-06 23:40:44 UTC
gnote-0.7.3-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnote'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gnote-0.7.3-2.fc13

Comment 6 Fedora Update System 2010-11-08 22:39:10 UTC
gnote-0.7.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-11-19 00:12:08 UTC
gnote-0.7.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.